Subject: [Roll] FW: New Version Notification for draft-alexander-roll-mikey-lln-key-mgmt-00.txt

From: "Alexander, Roger" <[email-masked]>
Date: Thu, 7 Jul 2011 18:21:18 -0400

Dear WG,

For secured routing, RPL security currently specifies a “pre-installed key” and an “authenticated” mode (see RPL Section 3.2.3). As indicated, however, a further companion specification is needed to fully support the “authenticated” mode. Additionally, for large scale networks there may be requirements for automated key management update even for the long-term security credentials associated with the pre-installed key mode.

For LLN environments it will also be efficient to have the option to simultaneously manage keys for one or more communications protocol layers with a light-weight, low overhead mechanism. Rather than attempting to reinvent the wheel, the adaption and re-use of a validated key management scheme would be beneficial. In that regard the MIKEY protocol (RFC3830) and the options of subsequent extensions (including [RFC4563], [RFC4650], [RFC4738], [RFC6043] and [RFC6267]) provide an excellent candidate. The multiple key management methods of the base protocol include support for pre-shared keys, public-key encryption, and Diffie-Hellman key exchange. The protocol offers low latency options and a low overhead, 1 byte-aligned binary encoded message format that can be embedded in other signaling protocols or transported directly over TCP or UDP (port 2269). These features allow for flexible application in different LLN environments. 

The proposed LLN extension to MIKEY will be to allow use of all AES-based algorithms as well as re-purpose its multi-stream capabilities to optionally support simultaneous multi-layer key management. These changes maintain the general lightweight MIKEY structure while providing LLNs with access to an array of validated methods for implementing automated session or long-term device key management.

The draft highlights the central elements of the proposed extension.

Roger

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, July 07, 2011 6:02 PM
To: Alexander, Roger
Cc: Alexander, Roger; Tsao, Tzeta
Subject: New Version Notification fordraft-alexander-roll-mikey-lln-key-mgmt-00.txt

A new version of I-D, draft-alexander-roll-mikey-lln-key-mgmt-00.txt has been successfully submitted by Roger Alexander and posted to the IETF repository.

Filename:	 draft-alexander-roll-mikey-lln-key-mgmt
Revision:	 00
Title:		 Adapted Multimedia Internet KEYing (AMIKEY): An extension of Multimedia Internet KEYing (MIKEY) Methods for Generic LLN Environments
Creation date:	 2011-07-07
WG ID:		 Individual Submission
Number of pages: 28

Abstract:
   Multimedia Internet Keying (MIKEY) is a key management protocol used
   for real-time applications.  As standardized within RFC3830 it
   defines four key distribution methods, including pre-shared keys,
   public-key encryption, and Diffie-Hellman key exchange, with
   allowances for ready protocol extension.  A number of additional
   methods have been developed and continue to be built from the base
   protocol (see for example, RFC4442, RFC4563, RFC4650, RFC4738,
   RFC5410, RFC6043 and RFC6267.  However, in spite of its extensibility
   and more general applicability, MIKEY and its related extensions have
   primarily focused on the support of the Secure Real-time Transport
   Protocol (SRTP).

   This document specifies a simple adaptation of the MIKEY
   specification to allow the base protocol and its various key
   management mode extensions to be readily applied in more general
   environments beyond the multimedia SRTP domain.  In particular, the
   document defines a repurposing of the MIKEY multimedia crypto
   sessions structure and introduces a set of message extensions to the
   base specification to allow the MIKEY key management methods to be
   applied within Low-power and Lossy networks (LLNs) and other general
   constrained-device networks.

A URL for this Internet-Draft is:
http://www.ietf.org/id/draft-alexander-roll-mikey-lln-key-mgmt-00.txt